Package com.saxonica.ee.config

## Class StyleNodeFactoryEE

- java.lang.Object
- - net.sf.saxon.style.StyleNodeFactory
  - - com.saxonica.config.pe.StyleNodeFactoryPE
    - - com.saxonica.ee.config.StyleNodeFactoryEE

- All Implemented Interfaces:
    `NodeFactory`

      public class StyleNodeFactoryEE
      extends StyleNodeFactoryPE

  Class StyleNodeFactoryEE: Subclass of StyleNodeFactory used for Saxon-EE.
  A Factory for nodes in the stylesheet tree.
  This version differs from the parent class in allowing extension elements to be constructed if the URI corresponds to an extension element factory registered in the Configuration; it also recognizes new XSLT elements defined in the (draft) specification of XSLT 3.0

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.config.pe.StyleNodeFactoryPE

      `allowExtensions`

    - ### Fields inherited from class net.sf.saxon.style.StyleNodeFactory

      `config, namePool`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleNodeFactoryEE​(Configuration config, Compilation compilation)` | Create the node factory for representing an XSLT stylesheet as a tree structure

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AccumulatorRegistryEE` | `makeAccumulatorManager()` |
    `PrincipalStylesheetModule` | `newPrincipalModule​(XSLPackage node)` | Create a stylesheet package

    - ### Methods inherited from class com.saxonica.config.pe.StyleNodeFactoryPE

      `isElementAvailable, makeElementNode`

    - ### Methods inherited from class net.sf.saxon.style.StyleNodeFactory

      `getCompilation, getConfiguration, isTopLevelModule, makeTextNode, makeXSLElement, setTopLevelModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.linked.NodeFactory

      `makeTextNode`

- - ### Constructor Detail

    - #### StyleNodeFactoryEE

          public StyleNodeFactoryEE​(Configuration config,
                                    Compilation compilation)

      Create the node factory for representing an XSLT stylesheet as a tree structure
      Parameters:
        `config` - the Saxon configuration

  - ### Method Detail

    - #### makeAccumulatorManager

          public AccumulatorRegistryEE makeAccumulatorManager()

      Overrides:
        `makeAccumulatorManager` in class `StyleNodeFactoryPE`

    - #### newPrincipalModule

          public PrincipalStylesheetModule newPrincipalModule​(XSLPackage node)
                                                       throws XPathException

      Description copied from class: `StyleNodeFactory`
      Create a stylesheet package
      Overrides:
        `newPrincipalModule` in class `StyleNodeFactory`
      Parameters:
        `node` - the XSLPackage element
      Returns:
        a new stylesheet package
      Throws:
        `XPathException`